[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Move

Move data from one location in memory to another

## Declaration

Source position: systemh.inc line 534

`procedure Move(`
`const source;`
`var dest;`
`count: SizeInt`
`);`

## Description

Move moves Count bytes from Source to Dest.

## Errors

If either Dest or Source is outside the accessible memory for the process, then a run-time error will be generated.

## See also

Fillword |  | Fill memory region with 16-bit pattern
Fillchar |  | Fill memory region with certain character

## Example

    Program Example42;

    { Program to demonstrate the Move function. }

    Var S1,S2 : String [30];

    begin
      S1:='Hello World !';
      S2:='Bye, bye    !';
      Move (S1,S2,Sizeof(S1));
      Writeln (S2);
    end.

Documentation generated on: Feb 26 2014